<?php

/**
 * PixhostToHelper.php
 *
 * @version $Id: $
 * @package Ripper
 * @copyright 2019
 */

/**
 * Class PixhostToHelper
 *
 * http://pixhost.org/show/7/22151357_115.jpg
 * https://img5.pixhost.org/images/7/22151357_115.jpg
 *
 * http://pixhost.org/show/6/22150781_014.jpg
 * https://img5.pixhost.org/images/6/22150781_014.jpg
 *
 * http://www.pixhost.org/show/3008/18860431_074.jpg
 * https://img4.pixhost.org/images/3008/18860431_074.jpg
 * 
 * http://pixhost.to/show/54/86659222_femjoy_8644703_004.jpg
 * https://img25.pixhost.to/images/54/86659222_femjoy_8644703_004.jpg
 */
class PixhostToHelper extends BaseHelper
{

    /**
     * https://vipergirls.to/threads/4656004-Luna-C-%E2%80%93-Blue-Chair-129-pictures-4368px-(2-Aug-2019)
     * https://pixhost.to/api/index.html
     *
     */
    /**
     * process
     * @param $uri
     * @return array Return array with 'image' and 'name' as the keys
     */
    public function process($uri) {
        $this->referrer = $uri;
        $page = $this->getPage($uri);
//        $page = $this->getPage('test/detail.pixhost.to.html');
        $image = $this->getImageInfo($page);
        $image['image'] = $this->getPageHtml($image['uri']);
        return $image;
    }

    public function getImageInfo($page) {
        $images = parse_array($page, '<img id', '/>');

        $image['uri'] = $this->getAttributeById($images[0], 'image', 'src');
        $image['name'] = $this->getAttributeById($images[0], 'image', 'alt');
        return $image;
    }

//    public function makeDownloadUri($uri) {
//        $search = array("http://www.", "show");
//        $replace = array('https://img5.', 'images');
//        $new = str_replace($search, $replace, $uri);
//        return $new;
//    }
}