<?php
/**
 * RipperHttpful.php
 *
 * @version $Id: $
 * @package VirtualInvite
 * @copyright 2011-2016
 */

require_once '../vendor/httpful.phar';

class RipperHttpful implements RipperDownloadInterface
{

    protected $verbose;
    protected $user_agent;
    protected $referrer = null;

    public function __construct($verbose)
    {
        $this->verbose = (bool)$verbose;
    }

    public function init($values) {
        foreach ($values as $key=>$value) {
            $this->$key = $value;
        }
    }

    public function getPage($uri, $opts=null)
    {
        $rs = \Httpful\Request::get($uri)->send();
        return $rs;
    }

    public function getPageHtml($uri, $opts=null)
    {
        $rs = \Httpful\Request::get($uri)->send();
        return $rs;
    }

    public function postForm($uri, $opts=null)
    {
        $rs = Httpful\Request::post($uri)
            ->body(['imgContinue' => 'Continue+to+image+...+'], Httpful\Mime::FORM)
            ->send();
        return $rs;
    }

}